Bug 1174354 - Missing Requires: cadvisor
Summary: Missing Requires: cadvisor
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kubernetes
Version: 21
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-15 17:13 UTC by Timothy St. Clair
Modified: 2015-12-02 16:45 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 06:01:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Timothy St. Clair 2014-12-15 17:13:58 UTC
Description of problem:
k8's has a missing run-time dependency on cadvisor that is not installed when k8's is installed. 

Version-Release number of selected component (if applicable):
0.6-4.0.git993ef88.fc21

How reproducible:
100%

Steps to Reproduce:
1. yum install kubernetes
2. check installation list

Actual results:
no cadvisor

Expected results:
install cadvisor

Comment 1 Eric Paris 2014-12-15 17:17:11 UTC
cadvisor is an optional requirement. upstream they use the kubelet to launch a cadvisor pod on every node instead of having it installed on every node. I'd like to get there someday.

I'm ok making our cadvisor binary a runtime requirement for now, but I don't know if it's needed. I dropped it since cadvisor sometimes gets itself into a bit of a mess and spins at 100% cpu and we don't have the time to run that down, especially since most of kube works without cadvisor installed...

Comment 2 Jay Vyas 2014-12-15 18:56:16 UTC
in the fedora portion of the docs, it is listed as a companion that is brought in by kube. 

https://github.com/GoogleCloudPlatform/kubernetes/blob/master/docs/getting-started-guides/fedora/fedora_manual_config.md

Hence at least we should update the docs.

Comment 3 Timothy St. Clair 2015-01-08 16:28:09 UTC
So cadvisor is essential for scheduling: https://github.com/GoogleCloudPlatform/kubernetes/issues/160

*required. 

Rob could please take.

Comment 4 Fedora End Of Life 2015-11-04 11:22:35 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-12-02 06:01:40 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.